graphics/py-gnuplot - The NetBSD Packages Collection

Python package that interfaces to gnuplot

Gnuplot.py is a Python package that interfaces to gnuplot, the popular
open-source plotting program. It allows you to use gnuplot from within Python
to plot arrays of data from memory, data files, or mathematical functions. If
you use Python to perform computations or as `glue' for numerical programs, you
can use this package to plot data on the fly as they are computed. And the
combination with Python makes it is easy to automate things, including to
create crude `animations' by plotting different datasets one after another.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/python27 math/py-numpy16 lang/python27 math/py-numpy16

Binary packages

OSArchitectureVersion
NetBSD 8.0i386py27-gnuplot-1.8nb1.tgz
NetBSD 8.0i386py27-gnuplot-1.8nb2.tgz
NetBSD 8.0i386py27-gnuplot-1.8nb2.tgz
NetBSD 8.0powerpcpy27-gnuplot-1.8nb1.tgz
NetBSD 8.0powerpcpy27-gnuplot-1.8nb1.tgz
NetBSD 8.0powerpcpy27-gnuplot-1.8nb2.tgz
NetBSD 8.0powerpcpy27-gnuplot-1.8nb1.tgz
NetBSD 8.0powerpcpy27-gnuplot-1.8nb2.tgz
NetBSD 8.0x86_64py27-gnuplot-1.8nb1.tgz
NetBSD 8.0x86_64py27-gnuplot-1.8nb2.tgz
NetBSD 9.0aarch64py27-gnuplot-1.8nb2.tgz
NetBSD 9.0aarch64py27-gnuplot-1.8nb1.tgz
NetBSD 9.0aarch64py27-gnuplot-1.8nb2.tgz
NetBSD 9.0alphapy27-gnuplot-1.8nb2.tgz
NetBSD 9.0alphapy27-gnuplot-1.8nb1.tgz
NetBSD 9.0alphapy27-gnuplot-1.8nb2.tgz
NetBSD 9.0i386py27-gnuplot-1.8nb1.tgz
NetBSD 9.0i386py27-gnuplot-1.8nb2.tgz
NetBSD 9.0i386py27-gnuplot-1.8nb2.tgz
NetBSD 9.0powerpcpy27-gnuplot-1.8nb1.tgz
NetBSD 9.0powerpcpy27-gnuplot-1.8nb2.tgz
NetBSD 9.0powerpcpy27-gnuplot-1.8nb1.tgz
NetBSD 9.0x86_64py27-gnuplot-1.8nb2.tgz
NetBSD 9.0x86_64py27-gnuplot-1.8nb2.tgz
NetBSD 9.0x86_64py27-gnuplot-1.8nb2.tgz
NetBSD 9.0x86_64py27-gnuplot-1.8nb1.tgz
NetBSD 9.0x86_64py27-gnuplot-1.8nb2.tgz
NetBSD 9.0x86_64py27-gnuplot-1.8nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.